View Issue Details

IDProjectCategoryView StatusLast Update
0013947ScribusUsabilitypublic2020-06-19 09:16
ReporterPeterBenedek Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86 and x64OSLinux Mint OS Version17.3 (64bit)
Product Version1.5.2.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0013947: Endless selection when exiting edit mode by clicking outside of frame
DescriptionVideo https://www.dropbox.com/s/3ciy4xmfe6hs5v4/example.avi?dl=0

If prior to selection you click to text: result endless selection.

- Open new document
- Insert TextFrame
- Double click on empty TextFrame (or text in TextFrame, all the same), thereafter...
- ...You click outside TextFrame and keep down left button
- After select the TextFrame
Tagsboxes, HOST-Oman
PatchNo

Relationships

related to 0011136 closed when in edit mode, selecting text in a previously not selected frame does not work correctly 
related to 0016140 closedjghali Endless selection when using Copy Item Properties 

Activities

Kunda

2016-04-11 13:49

manager   ~0040060

Peter, trying to reproduce your screencast but your written steps to reproduce it are different. What am I missing ?

PeterBenedek

2016-04-11 16:27

developer   ~0040075

Hi Kunda!
Update information!

Fahad

2016-04-17 05:44

developer   ~0040216

Maybe I didn't understand the steps to produce the bug but I don't see any problem here, the text frame will be selected only when the selection area cover it completely.

Please provide a test file for the problem.

PeterBenedek

2016-04-17 13:09

developer  

Dokumentum-1.sla (16,168 bytes)

PeterBenedek

2016-04-17 13:15

developer   ~0040219

Last edited: 2016-04-17 13:23

View 4 revisions

So try:
You click outside TextFrame and keep down left button and during select the TextFrame (before: double click in TextFrame).

1 page: no problem
100 page and many objects: significant problem

PeterBenedek

2016-04-17 13:20

developer  

example.png (7,511 bytes)
example.png (7,511 bytes)

Kunda

2016-04-18 14:02

manager   ~0040256

jghali committed fix in r21207
Please test

Kunda

2016-04-20 05:04

manager   ~0040324

Peter, please retest. Thanks!

PeterBenedek

2016-04-20 10:29

developer   ~0040329

Coming soon... If released Ubuntu 16.04 (tomorrow). Trusty not build (Qt version prpoblem).

PeterBenedek

2016-04-25 05:28

developer   ~0040458

Tested: r21224; Qt5.6.0

Works well!

Kunda

2016-04-25 11:45

manager   ~0040463

Closing
Thanks!

PeterBenedek

2017-10-09 19:03

developer   ~0044523

Last edited: 2017-10-09 19:16

View 3 revisions

Can be reproduced in some special cases:
-- Open the Doc-1.sla
-- Double click on the TextFrame
-- You use near drawing points the mouse left button the text selection.
-- Result: https://youtu.be/2zlEXGZlvSI

Comment: It is not necessary to lock the guides and enable the "Lock or unlock the object" function

PeterBenedek

2017-10-09 19:03

developer  

Doc-1.sla (23,747 bytes)

PeterBenedek

2017-10-11 05:17

developer   ~0044525

Tested r22190

Works well.
Thank you!

PeterBenedek

2020-06-17 18:33

developer   ~0047700

It happens again after "Copy Item Properties".

-- Open a new document
-- Make two TextFrame
-- Use "Copy Item Properties"
-- Select a TextFrame

PeterBenedek

2020-06-17 18:34

developer  

CopyItemProperties.gif (597,094 bytes)
CopyItemProperties.gif (597,094 bytes)

jghali

2020-06-18 18:24

administrator   ~0047704

Last edited: 2020-06-18 18:25

View 2 revisions

Edit mode is not involved, so that's a different issue. Please open another one.

jghali

2020-06-18 22:24

administrator   ~0047706

Nevermind, I did it myself : 0016140

PeterBenedek

2020-06-19 05:59

developer   ~0047708

Last edited: 2020-06-19 06:10

View 2 revisions

...and you repaired it :-)
Thank You.

Issue History

Date Modified Username Field Change
2016-04-11 13:42 PeterBenedek New Issue
2016-04-11 13:49 Kunda Note Added: 0040060
2016-04-11 16:26 PeterBenedek Description Updated View Revisions
2016-04-11 16:27 PeterBenedek Note Added: 0040075
2016-04-11 16:31 PeterBenedek Description Updated View Revisions
2016-04-11 16:39 PeterBenedek Description Updated View Revisions
2016-04-11 16:44 PeterBenedek Description Updated View Revisions
2016-04-11 16:45 PeterBenedek Description Updated View Revisions
2016-04-14 10:24 Kunda Tag Attached: boxes
2016-04-14 10:24 Kunda Tag Attached: HOST-Oman
2016-04-17 05:44 Fahad Note Added: 0040216
2016-04-17 13:08 PeterBenedek File Added: example.png
2016-04-17 13:09 PeterBenedek File Added: Dokumentum-1.sla
2016-04-17 13:11 PeterBenedek Description Updated View Revisions
2016-04-17 13:15 PeterBenedek Note Added: 0040219
2016-04-17 13:17 PeterBenedek Note Edited: 0040219 View Revisions
2016-04-17 13:20 PeterBenedek File Deleted: example.png
2016-04-17 13:20 PeterBenedek File Added: example.png
2016-04-17 13:23 PeterBenedek Note Edited: 0040219 View Revisions
2016-04-17 13:23 PeterBenedek Note Edited: 0040219 View Revisions
2016-04-17 15:19 jghali Summary Endless selection => Endless selection when exiting edit mode by clicking outside of frame
2016-04-17 15:19 jghali Status new => resolved
2016-04-17 15:19 jghali Fixed in Version => 1.5.2.svn
2016-04-17 15:19 jghali Resolution open => fixed
2016-04-17 15:19 jghali Assigned To => jghali
2016-04-18 14:02 Kunda Note Added: 0040256
2016-04-20 05:04 Kunda Note Added: 0040324
2016-04-20 10:29 PeterBenedek Note Added: 0040329
2016-04-25 05:28 PeterBenedek Note Added: 0040458
2016-04-25 11:45 Kunda Note Added: 0040463
2016-04-25 11:45 Kunda Status resolved => closed
2016-05-26 05:21 PeterBenedek Relationship added related to 0011136
2017-10-09 19:03 PeterBenedek Status closed => feedback
2017-10-09 19:03 PeterBenedek Resolution fixed => reopened
2017-10-09 19:03 PeterBenedek Note Added: 0044523
2017-10-09 19:03 PeterBenedek File Added: Doc-1.sla
2017-10-09 19:04 PeterBenedek Note Edited: 0044523 View Revisions
2017-10-09 19:16 PeterBenedek Note Edited: 0044523 View Revisions
2017-10-10 16:49 jghali Status feedback => resolved
2017-10-10 16:49 jghali Resolution reopened => fixed
2017-10-10 16:49 jghali Fixed in Version 1.5.2.svn => 1.5.4.svn
2017-10-11 05:17 PeterBenedek Note Added: 0044525
2017-10-11 05:17 PeterBenedek Status resolved => closed
2020-06-17 18:33 PeterBenedek Status closed => feedback
2020-06-17 18:33 PeterBenedek Resolution fixed => reopened
2020-06-17 18:33 PeterBenedek Note Added: 0047700
2020-06-17 18:34 PeterBenedek File Added: CopyItemProperties.gif
2020-06-18 18:24 jghali Note Added: 0047704
2020-06-18 18:25 jghali Note Edited: 0047704 View Revisions
2020-06-18 18:25 jghali Status feedback => resolved
2020-06-18 18:25 jghali Resolution reopened => fixed
2020-06-18 22:23 jghali Relationship added related to 0016140
2020-06-18 22:24 jghali Note Added: 0047706
2020-06-19 05:59 PeterBenedek Note Added: 0047708
2020-06-19 06:10 PeterBenedek Note Edited: 0047708 View Revisions
2020-06-19 09:16 PeterBenedek Status resolved => closed